Subject: Next/Prev appear to be broken

From: [email-masked]
Date: Thu, 15 Jul 1999 10:57:24 -0500 (CDT)

Full_Name: Stephen Riehm
Version: 2.0.46 - 2.2.2
CVS_Date: 
OS: Linux / AIX
X_Server: 
Submission from: (NULL) (193.26.137.141)

Until recently, I've been using fvwm-2.0.45, and I've been using
SloppyFocus and
keyboard shortcuts to jump between windows in the current page.
now, changing the keyboard macros don't work in two ways:

	shifting the focus to another window doesn't raise the window

	shifting the focus doesn't work if the mouse is positioned over the
window
		you're leaving, because fvwm instantly moves the focus to the mouse.

	(as an aside, Next/Prev now take several seconds to complete, on a 450MHz
	linux box, they used to be instantaneous on a 60MHZ AIX machine)

in fvwm-2.0.45 I had the following:
	AddToFunc NextWindow
	+ "I" Next [CurrentScreen, CurrentDesk, !Iconic] Focus

in fvwm 2.0.46 and 2.2.2 I've tried all sorts of tricks, but none appear to
work.

	AddToFunc NextWindow
	+ "I" Next (CurrentPage, CurrentDesk, !Iconic) Focus
	+ "I" Raise

Should this example work? Do the "I"'s take place in sequence, ie: first
find the new
window, then raise it? or do I need to do something like this (also doesn't
work):

	AddToFunc NextWindow
	+ "I" Next (CurrentPage, CurrentDesk, !Iconic) Focus
	+ "I" Next (CurrentPage, CurrentDesk, !Iconic) Raise

Has anyone else had this problem? I can confirm it on Linux and AIX.

Thanks in advance,

Steve

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]